| Nano103 BSP V3.01.002 The Board Support Package for Nano103 Series

Data Fields
INT_T Struct Reference
NANO103 Definitions » NANO103 Peripherals

`#include <Nano103.h>`

## Data Fields
__I uint32_t | IRQ0_SRC
__I uint32_t | IRQ1_SRC
__I uint32_t | IRQ2_SRC
__I uint32_t | IRQ3_SRC
__I uint32_t | IRQ4_SRC
__I uint32_t | IRQ5_SRC
__I uint32_t | IRQ6_SRC
__I uint32_t | IRQ7_SRC
__I uint32_t | IRQ8_SRC
__I uint32_t | IRQ9_SRC
__I uint32_t | IRQ10_SRC
__I uint32_t | IRQ11_SRC
__I uint32_t | IRQ12_SRC
__I uint32_t | IRQ13_SRC
__I uint32_t | IRQ14_SRC
__I uint32_t | IRQ15_SRC
__I uint32_t | IRQ16_SRC
__I uint32_t | IRQ17_SRC
__I uint32_t | IRQ18_SRC
__I uint32_t | IRQ19_SRC
__I uint32_t | IRQ20_SRC
__I uint32_t | IRQ21_SRC
__I uint32_t | IRQ22_SRC
__I uint32_t | IRQ23_SRC
__I uint32_t | IRQ24_SRC
__I uint32_t | IRQ25_SRC
__I uint32_t | IRQ26_SRC
__I uint32_t | IRQ27_SRC
__I uint32_t | IRQ28_SRC
__I uint32_t | IRQ29_SRC
__I uint32_t | IRQ30_SRC
__I uint32_t | IRQ31_SRC
__IO uint32_t | NMI_SEL
__IO uint32_t | MCU_IRQ

## Detailed Description

    @addtogroup INT Interrupt Controller (INTR)
    Memory Mapped Structure for INT Controller

Definition at line 161 of file Nano103.h.

## Field Documentation

## ◆ IRQ0_SRC

INT_T::IRQ0_SRC

[0x0000] MCU IRQ0 (BOD_INT) interrupt source identify

IRQ0_SRC

Offset: 0x00 MCU IRQ0 (BOD_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 790 of file Nano103.h.

## ◆ IRQ10_SRC

INT_T::IRQ10_SRC

[0x0028] MCU IRQ10 (TMR2_INT) interrupt source identify

IRQ10_SRC

Offset: 0x28 MCU IRQ10 (TMR2_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 800 of file Nano103.h.

## ◆ IRQ11_SRC

INT_T::IRQ11_SRC

[0x002c] MCU IRQ11 (TMR3_INT) interrupt source identify

IRQ11_SRC

Offset: 0x2C MCU IRQ11 (TMR3_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 801 of file Nano103.h.

## ◆ IRQ12_SRC

INT_T::IRQ12_SRC

[0x0030] MCU IRQ12 (UART0_INT) interrupt source identify

IRQ12_SRC

Offset: 0x30 MCU IRQ12 (UART0_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 802 of file Nano103.h.

## ◆ IRQ13_SRC

INT_T::IRQ13_SRC

[0x0034] MCU IRQ13 (UART1_INT) interrupt source identify

IRQ13_SRC

Offset: 0x34 MCU IRQ13 (UART1_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 803 of file Nano103.h.

## ◆ IRQ14_SRC

INT_T::IRQ14_SRC

[0x0038] MCU IRQ14 (SPI0_INT) interrupt source identify

IRQ14_SRC

Offset: 0x38 MCU IRQ14 (SPI0_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 804 of file Nano103.h.

## ◆ IRQ15_SRC

INT_T::IRQ15_SRC

[0x003c] MCU IRQ15 (SPI1_INT) interrupt source identify

IRQ15_SRC

Offset: 0x3C MCU IRQ15 (SPI1_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 805 of file Nano103.h.

## ◆ IRQ16_SRC

INT_T::IRQ16_SRC

[0x0040] MCU IRQ16 (SPI2_INT) interrupt source identify

IRQ16_SRC

Offset: 0x40 MCU IRQ16 (SPI2_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 806 of file Nano103.h.

## ◆ IRQ17_SRC

INT_T::IRQ17_SRC

[0x0044] MCU IRQ17 (IRC_INT) interrupt source identify

IRQ17_SRC

Offset: 0x44 MCU IRQ17 (IRC_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 807 of file Nano103.h.

## ◆ IRQ18_SRC

INT_T::IRQ18_SRC

[0x0048] MCU IRQ18 (I2C0_INT) interrupt source identify

IRQ18_SRC

Offset: 0x48 MCU IRQ18 (I2C0_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 808 of file Nano103.h.

## ◆ IRQ19_SRC

INT_T::IRQ19_SRC

[0x004c] MCU IRQ19 (I2C1_INT) interrupt source identify

IRQ19_SRC

Offset: 0x4C MCU IRQ19 (I2C1_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 809 of file Nano103.h.

## ◆ IRQ1_SRC

INT_T::IRQ1_SRC

[0x0004] MCU IRQ1 (WDT_INT) interrupt source identify

IRQ1_SRC

Offset: 0x04 MCU IRQ1 (WDT_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 791 of file Nano103.h.

## ◆ IRQ20_SRC

INT_T::IRQ20_SRC

[0x0050] Reserved

IRQ20_SRC

Offset: 0x50 Reserved

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 810 of file Nano103.h.

## ◆ IRQ21_SRC

INT_T::IRQ21_SRC

[0x0054] MCU IRQ21 (SC0_INT) interrupt source identify

IRQ21_SRC

Offset: 0x54 MCU IRQ21 (SC0_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 811 of file Nano103.h.

## ◆ IRQ22_SRC

INT_T::IRQ22_SRC

[0x0058] MCU IRQ22 (SC1_INT) interrupt source identify

IRQ22_SRC

Offset: 0x58 MCU IRQ22 (SC1_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 812 of file Nano103.h.

## ◆ IRQ23_SRC

INT_T::IRQ23_SRC

[0x005c] Reserved

IRQ23_SRC

Offset: 0x5C Reserved

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 813 of file Nano103.h.

## ◆ IRQ24_SRC

INT_T::IRQ24_SRC

[0x0060] MCU IRQ24 (CKSD_INT) interrupt source identify

IRQ24_SRC

Offset: 0x60 MCU IRQ24 (CKSD_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 814 of file Nano103.h.

## ◆ IRQ25_SRC

INT_T::IRQ25_SRC

[0x0064] Reserved

IRQ25_SRC

Offset: 0x64 Reserved

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 815 of file Nano103.h.

## ◆ IRQ26_SRC

INT_T::IRQ26_SRC

[0x0068] MCU IRQ26 (DMA_INT) interrupt source identify

IRQ26_SRC

Offset: 0x68 MCU IRQ26 (DMA_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 816 of file Nano103.h.

## ◆ IRQ27_SRC

INT_T::IRQ27_SRC

[0x006c] MCU IRQ27 (SPI3_INT) interrupt source identify

IRQ27_SRC

Offset: 0x6C MCU IRQ27 (SPI3_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 817 of file Nano103.h.

## ◆ IRQ28_SRC

INT_T::IRQ28_SRC

[0x0070] MCU IRQ28 (PDWU_INT) interrupt source identify

IRQ28_SRC

Offset: 0x70 MCU IRQ28 (PDWU_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 818 of file Nano103.h.

## ◆ IRQ29_SRC

INT_T::IRQ29_SRC

[0x0074] MCU IRQ29 (ADC_INT) interrupt source identify

IRQ29_SRC

Offset: 0x74 MCU IRQ29 (ADC_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 819 of file Nano103.h.

## ◆ IRQ2_SRC

INT_T::IRQ2_SRC

[0x0008] MCU IRQ2 (EINT0) interrupt source identify

IRQ2_SRC

Offset: 0x08 MCU IRQ2 (EINT0) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 792 of file Nano103.h.

## ◆ IRQ30_SRC

INT_T::IRQ30_SRC

[0x0078] MCU IRQ30 (ACMP_INT) interrupt source identify

IRQ30_SRC

Offset: 0x78 MCU IRQ30 (ACMP_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 820 of file Nano103.h.

## ◆ IRQ31_SRC

INT_T::IRQ31_SRC

[0x007c] MCU IRQ31 (RTC_INT) interrupt source identify

IRQ31_SRC

Offset: 0x7C MCU IRQ31 (RTC_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 821 of file Nano103.h.

## ◆ IRQ3_SRC

INT_T::IRQ3_SRC

[0x000c] MCU IRQ3 (EINT1) interrupt source identify

IRQ3_SRC

Offset: 0x0C MCU IRQ3 (EINT1) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 793 of file Nano103.h.

## ◆ IRQ4_SRC

INT_T::IRQ4_SRC

[0x0010] MCU IRQ4 (GPABC_INT) interrupt source identify

IRQ4_SRC

Offset: 0x10 MCU IRQ4 (GPABC_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 794 of file Nano103.h.

## ◆ IRQ5_SRC

INT_T::IRQ5_SRC

[0x0014] MCU IRQ5 (GPDEF_INT) interrupt source identify

IRQ5_SRC

Offset: 0x14 MCU IRQ5 (GPDEF_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 795 of file Nano103.h.

## ◆ IRQ6_SRC

INT_T::IRQ6_SRC

[0x0018] MCU IRQ6 (PWM0_INT) interrupt source identify

IRQ6_SRC

Offset: 0x18 MCU IRQ6 (PWM0_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 796 of file Nano103.h.

## ◆ IRQ7_SRC

INT_T::IRQ7_SRC

[0x001c] Reserved

IRQ7_SRC

Offset: 0x1C Reserved

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 797 of file Nano103.h.

## ◆ IRQ8_SRC

INT_T::IRQ8_SRC

[0x0020] MCU IRQ8 (TMR0_INT) interrupt source identify

IRQ8_SRC

Offset: 0x20 MCU IRQ8 (TMR0_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 798 of file Nano103.h.

## ◆ IRQ9_SRC

INT_T::IRQ9_SRC

[0x0024] MCU IRQ9 (TMR1_INT) interrupt source identify

IRQ9_SRC

Offset: 0x24 MCU IRQ9 (TMR1_INT) interrupt source identify

Bits | Field | Descriptions
[3:0] | INT_SRC | Interrupt Source Define the interrupt sources for interrupt event.

Definition at line 799 of file Nano103.h.

## ◆ MCU_IRQ

INT_T::MCU_IRQ

[0x0084] MCU Interrupt Request Source Register

MCU_IRQ

Offset: 0x84 MCU Interrupt Request Source Register

Bits | Field | Descriptions
[31:0] | MCU_IRQ | MCU IRQ Source Bits The MCU_IRQ collects all the interrupts from the peripherals and generates the synchronous interrupt to MCU Cortex-M0 There are two modes to generate interrupt to Cortex-M0, the normal mode. The MCU_IRQ collects all interrupts from each peripheral and synchronizes them and then interrupts the Cortex-M0. When the MCU_IRQ[n] is "0", setting MCU_IRQ[n] "1" will generate an interrupt to Cortex-M0 NVIC[n]. When the MCU_IRQ[n] is "1" (means an interrupt is asserted), setting the MCU_bit[n] will clear the interrupt Set MCU_IRQ[n] u201C0u201D: no any effect

Definition at line 823 of file Nano103.h.

## ◆ NMI_SEL

INT_T::NMI_SEL

[0x0080] NMI Source Interrupt Select Control Register

NMI_SEL

Offset: 0x80 NMI Source Interrupt Select Control Register

Bits | Field | Descriptions
[4:0] | NMI_SEL | NMI Interrupt to Cortex-M0 Can Be Selected From One of the Interrupt[31:0] The NMI_SEL bit[4:0] is used to select the NMI interrupt source

Definition at line 822 of file Nano103.h.

The documentation for this struct was generated from the following file:

- C:/Users/yachen/workzone/bsp/nano103bsp/Library/Device/Nuvoton/Nano103/Include/Nano103.h